
Foreman - Bug #29043

Report Templates Entitlements cannot be scheduled using UI

02/18/2020 08:48 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Reporting   

Target version:    

Difficulty:  Fixed in Releases: 1.24.3, 2.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1789426 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7454,

https://github.com/theforeman/foreman/p

ull/7485,

https://github.com/theforeman/foreman/p

ull/7484

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1789426

Description of problem:

When generating an Entitlements report under Report Templates and selecting a time and date under "Generate at", the report is

generated instantly instead of the selected time.

Version-Release number of selected component (if applicable): Satellite 6.7 Snap 7

How reproducible: 100%

Steps to Reproduce:

1. Monitor

2. Report Templates

3. Generate Entitlement Report

4. Select the time and date to generate the report

5. Click Submit

Actual results:

A report is generated instantly.

Expected results:

A report should be generated at the selected time and date.

Additional info:

Related issues:

Related to Foreman - Feature #26081: Add date time picker component Closed

Associated revisions

Revision 7ed0fd48 - 03/02/2020 09:21 AM - Ondřej Pražák

Fixes #29043 - Add name to 'generate_at' field

History

#1 - 02/20/2020 01:59 PM - Ondřej Pražák

- Assignee set to Ondřej Pražák

#2 - 02/21/2020 12:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7454 added
#3 - 02/23/2020 09:13 AM - Tomer Brisker

- Related to Feature #26081: Add date time picker component added

#4 - 03/02/2020 09:21 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/02/2020 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset 7ed0fd480491c99e7c937fd36ddbb0807063b5f4.

#6 - 03/03/2020 12:32 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7484 added

#7 - 03/03/2020 12:35 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7485 added

#8 - 03/03/2020 03:23 PM - Tomer Brisker

- Fixed in Releases 1.24.3, 2.0.0 added

- Fixed in Releases deleted (2.1.0)

#9 - 03/05/2020 12:21 PM - Tomer Brisker

- Category changed from Statistics to Reporting
